import {
  geoGraticule,
  geoNaturalEarth1,
  geoPath,
  line,
  select,
} from 'd3';

const projection = geoNaturalEarth1();
const path = geoPath(projection);
const graticule = geoGraticule();

const missingDataColor = 'grey';

export const Marks = ({
  worldAtlas: { countries, interiors },
  rowByCode,
  colorScale,
  colorValue
}) => {
  return (
    <g className="marks">
      <path
        className="sphere"
        d={path({ type: 'Sphere' })}
      />
      <path className="graticules" d={path(graticule())} />
      {
      countries.features.map((feature) => {
        const d = rowByCode.get(feature.id);
      	return (
        	<g>
          <path d={path(feature)} fill={d ? colorScale(colorValue(d)) : missingDataColor}>
            <title>{feature.properties.name}</title>
          </path>
        </g>
        )
      })
      }
      <path className="interiors" d={path(interiors)} />
    </g>
  );
};
