import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvURL =
  'https://gist.githubusercontent.com/curran/470752f12c027f8ff4266e7c96f26a56/raw/66908b56e371e7c9f5a1c0911ac3250f570a4c83/share-of-population-infected-with-hiv-ihme.csv';

export const useCases = () => {
  const [data, setData] = useState(null);

  const row = (d) => {
    d.location = d['Entity'];
    d.code = d['Code']
    d.aids = d['Prevalence - HIV/AIDS - Sex: Both - Age: 15-49 years (Percent) (%)'];
    d.year = d['Year'];
    return d;
  };

  useEffect(() => {
    csv(csvURL, row).then(setData);
  }, []);
  return data;
};
